
#ifndef VIDEOVIEW_H
#define VIDEOVIEW_H

#include "qcam_driver.h"
#include "QCamView3.h"

enum QuickCamSizes
{
	QCAM_80x60,
	QCAM_160x120,
	QCAM_320x240
};

class VideoView:public BView
{

protected:

	BBitmap	*m_nextBitmap;
	BBitmap *m_bitmap;
	BBitmap	*m_bitmap1;
	BBitmap	*m_bitmap2;
	int		m_qcamDevice;
	int		m_numPix;
	sem_id	m_sem;
	BRect	selection;

public:
						VideoView(BRect r,ulong size,int bpp);
	virtual				~VideoView();
				
			void		DoFrame();
			void		ResizeBitmaps(ulong size);
			void		AdjustBitDepth(ulong bpp);
			void		CreateBitmaps(ulong size,qcam &qc);
	virtual	void		AttachedToWindow();
	virtual	void		MessageReceived(BMessage *msg);
			void		SetWhiteBalance(unsigned char newValue);
			void		SetContrast(unsigned char newValue);
			void		SetBrightness(unsigned char newValue);
	virtual	void		Draw(BRect updateRect);
			BFile		*write_bitmap(BMessage *msg,char *fname,BDirectory *the_dir);
			BMessage	*convert_to_ref_message(BMessage *msg);
			BMessage	*create_clip_message(BBitmap *bm);
			void		drag_selection(long h,long v,BPoint mouseDown);
	virtual void		MouseDown(BPoint where);

};

#endif
